#include <bits/stdc++.h>
using namespace std;
	  long long int a[1000001];
	  
int main()
{
	 ios::sync_with_stdio(0); 
	  cin.tie(0); 
	  cout.tie(0);
	  long long int n, m;

	  cin>>n>>m;
	  for(int i=1; i<=n;i++)
	  {
	  cin>>a[i];
	  }
	  long long int maxx=0;
	  for(int i=1; i<=m; i++)
	  {
	  	long long int x, y;
	  	cin>>x>>y;
	  	maxx+=max(a[x]+a[y], -a[x]-a[y]);
	  }
	  cout<<maxx;
}